Opened 3 years ago

Last modified 3 years ago

#1625 assigned defect

PHP scripts in contrib folder need "<?php" at the top of the script.

Reported by: guest Owned by: ejucovy
Priority: normal Milestone: 0.97
Component: Xinha Core Version: trunk
Severity: normal Keywords: php compression
Cc:

Description

The opening line of the php scripts in the contrib folder need to switch from "<?" to "<?php" else PHP command-line (via php compress.php) can't run them. (See: http://www.w3schools.com/php/php_syntax.asp)

Also, in the base folder, compression_readme.txt, it claims we can run the PHP scripts using our web browser but neither Chrome nor Firefox were able to activate PHP (seems strange, I didn't know browsers can run PHP OOTB.) I would change the text from:

To use this script, open it in a text editor, comment out the die() command at the top and open it in your browser.

to:

Make sure you have PHP installed on your machine. To use this script, open it in a text editor, comment out the die() command at the top and run via "php compress.php" from the command-line.

Change History (1)

comment:1 Changed 3 years ago by ejucovy

  • Owner changed from gogo to ejucovy
  • Status changed from new to assigned

Thanks for catching this -- I'll commit these changes shortly.

Note: See TracTickets for help on using tickets.